Bug 477700 - wsgen man page errors
wsgen man page errors
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Rodney Russ
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 18:13 EST by Jerry James
Modified: 2015-02-18 06:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove .TS and .TE macros (9.62 KB, patch)
2009-05-26 16:34 EDT, Omair Majid
no flags Details | Diff

  None (edit)
Description Jerry James 2008-12-22 18:13:35 EST
Description of problem:
Invoking "man wsgen" triggers these warnings on stderr:

Formatting page, please wait...
/usr/bin/gtbl:<standard input>:65: `.' not last character on line
/usr/bin/gtbl:<standard input>:65: giving up on this table
/usr/bin/gtbl:<standard input>:619: `.' not last character on line
/usr/bin/gtbl:<standard input>:619: giving up on this table

Line 65 is the beginning of Table 1-1 "wsgen Options".  Indeed, viewing the man page with "man wsgen" shows an empty table at that position.  The line 619 problem prevents the ant task attributes from being printed.

The same problem occurs with wsimport:

Formatting page, please wait...
/usr/bin/gtbl:<standard input>:92: `.' not last character on line
/usr/bin/gtbl:<standard input>:92: giving up on this table
/usr/bin/gtbl:<standard input>:659: `.' not last character on line
/usr/bin/gtbl:<standard input>:659: giving up on this table

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-devel-1.6.0.0-7.b12.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. "man wsgen" or "man wsimport"
  
Actual results:
Both man pages show 2 empty tables.

Expected results:
The tables should be printed.

Additional info:
These man pages say they were generated by html2man, so the bug may be in that program rather than in the input to it.
Comment 1 Jerry James 2009-05-11 15:18:54 EDT
Works for you on what?  I've got two x86-64 machines, one running F-10, one running Rawhide.  The problem still exists on both.  The F-10 machine has:

java-1.6.0-openjdk-devel-1.6.0.0-15.b14.fc10.x86_64

and the Rawhide machine has:

java-1.6.0-openjdk-devel-1.6.0.0-20.b14.fc11.x86_64

Do you see actual content in Table 1-1 when doing "man wsgen"?  It should contain a list of command-line options, but is completely empty when I look at it.  Are you using some other man page viewer besides /usr/bin/man?  Perhaps you have a cached version of the man page.  Try this:

rm -f /var/cache/man/cat1/wsgen* /var/cache/man/cat1/wsimport*

and then try "man wsgen" again.  Now do you see the problem?
Comment 2 Lillian Angel 2009-05-11 15:24:04 EDT
you're right, i did have a cached version.

I can see the page, but once I exit I get this error:
$ man wsgen
/usr/bin/gtbl:<standard input>:67: `.' not last character on line
/usr/bin/gtbl:<standard input>:67: giving up on this table
/usr/bin/gtbl:<standard input>:621: `.' not last character on line
/usr/bin/gtbl:<standard input>:621: giving up on this table


reopening
Comment 3 Lillian Angel 2009-05-11 15:24:52 EDT
I am not getting the error for wsimport
Comment 4 Jerry James 2009-05-11 17:08:04 EDT
Hmmm.  I do see the error for wsimport on both F-10 and Rawhide.  Anyway, there's a "Table 1-1" in that man page.  Does it have any contents for you?  For me, it is empty.

Same for wsgen: the caption "Table 1-1" prints, but none of the table contents print.
Comment 5 Lillian Angel 2009-05-12 13:12:15 EDT
you're right, i do not see the table either.
Comment 6 Omair Majid 2009-05-26 16:34:27 EDT
Created attachment 345517 [details]
Remove .TS and .TE macros

The man pages for jarsigner, javadoc, jstat, wsgen, and wsimport all contain missing tables. It looks like these man pages were generated by Sun's html2man tool from (proprietary?) html docs. This tool has a few issues: as far as I can tell, it generated the exact alignment data for groff to display the table, but then added .TS and .TE to mark them as tables. The man command runs the tables through gtbl to format the tables. gtbl chokes on the data inside the .TS and .TE tags which are normal groff macros instead of gtbl macros. A quick and dirty fix is to remove the .TS and .TE macros. This makes the tables appear but still produces formatting warnings.

The correct fix, IMHO, would be to generate correct man pages using FLOSS html docs - the jdk sources dont seem to contain these :(
Comment 7 Bug Zapper 2009-11-18 07:42:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jerry James 2009-11-18 10:22:32 EST
This bug is still present in F-12.  I haven't checked Rawhide.
Comment 10 Bug Zapper 2010-11-04 07:36:10 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Jerry James 2010-11-10 21:26:29 EST
I no longer see the warnings (because of the change to man-db?), but the tables are still empty in those man pages on F-14.
Comment 12 Fedora End Of Life 2012-08-16 18:16:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Jerry James 2012-08-17 10:36:03 EDT
The tables are still empty in current Rawhide.
Comment 14 Fedora End Of Life 2013-04-03 16:15:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 15 Fedora End Of Life 2015-01-09 16:37:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 06:58:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.